Upgrade 2.4-ről 2.5-re

A 10.04-es Ubuntuval (Lucid) az EMC2 2.4 települ. Azóta sok minden megváltozott, a program újabb verziója elérhető és EMC2-ről LinuxCNC-re változott a szoftver neve. Mindenképpen hasznos egy frissítés.

Röviden a következő lépéseket kell elvégezni az upgrade-hez:

1) A (System) Rendszer menüben az (Administration) Adminisztráció-n belül válasszuk ki a (Software Sources) Szoftver források-at. Itt a (Other Software) Egyéb szoftver fület kell kiválasztani

2) Töröljük vagy tiltsuk le a régi linuxcnc.org bejegyzéseket

3) Ezután alul a Hozzáadás gombra kattintva felveszünk egy új tárolót a következő paraméterekkel:
deb http://linuxcnc.org/ lucid base linuxcnc2.5 (Figyeljünk a szóközökre!)

4) Kattintsunk ezután a Forrás hozzáadása gombra

5) Fel fog jönni egy ablak, hogy frissítsük a tárolók információit, itt természetesen válasszuk az Újratöltés gombot

lucid-add-apt-line

Azután mentsük el a beállításokat és lépjünk ki a csomagkezelőből, majd parancssorban adjuk ki a következőket:

sudo apt-get update
sudo apt-get install linuxcnc

Fontos még tudni, hogy a névváltással a program alapértelmezett könyvtára is megváltozott:
Eddig a /home/felhasznalonev/emc2 volt, a 2.5-ös LinuxCNC-től a /home/felhasznalonev/linuxcnc lett.

A legegyszerűbb ha ilyenkor átnevezzük az emc2 könyvtárat linuxcnc-re
Az is megoldás, ha a emc2 könyvtárból a linuxcnc-be átmozgatjuk az előbbi tartalmát.

Érdemes belenézni még az INI fájlba, ugyanis ott lehetnek hivatkozások a régi könyvtárra. Ezeket értelemszerűen javítsuk ki.
Példa javítandó INI fájl részletre:
[DISPLAY]
PROGRAM_PREFIX = /home/cncuser/emc2/ncfiles

javítás után:
[DISPLAY]
PROGRAM_PREFIX = /home/cncuser/linuxcnc/ncfiles

Ha esetleg használtunk az emc2 alatt NGCGUI-t akkor az INI fájlból a következő sort kell eltávolítani:
USER_COMMAND_FILE = ./tkapp.py

This entry was posted in Cikkek. Bookmark the permalink.

Minden vélemény számít!